Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property.servlets.jsp.taglib
Interface PropertySetTagConstants

All Known Implementing Classes:
  ResultTag

public interface PropertySetTagConstants

Numeric constants returned by the property set (ps) tags as a result of operations. Some of these are currently unused and reserved for future tags.

Field Summary
`static int` | `CREATE_PROPERTY_FAILED` Failed property creation
`static int` | `CREATE_PROPERTY_OK` Successful property creation
`static int` | `DELETE_PROPERTY_FAILED` Failed property deletion
`static int` | `DELETE_PROPERTY_OK` Successful property deletion
`static int` | `INVALID_BOOLEAN_PROPERTY` Invalid boolean property specified (boolean properties must be single, restricted, by definition).
`static int` | `INVALID_PROPERTY_SET` The given property set was not valid, or could not be found
`static int` | `INVALID_PROPERTY_TYPE` Invalid property type specified.
`static int` | `PROPERTY_EXISTS` Failed property creation because the property already exists
`static int` | `PROPERTY_NOT_RESTRICTED` property is not restricted
`static int` | `PROPERTY_SEARCH_FAILED` Failed property search
`static int` | `PROPERTY_SEARCH_OK` Successful property search
`static int` | `PROPERTY_SET_SEARCH_FAILED` Failed property set search
`static int` | `PROPERTY_SET_SEARCH_OK` Successful property set search

Field Detail

### CREATE_PROPERTY_OK

    public static final int CREATE_PROPERTY_OK

  Successful property creation

### CREATE_PROPERTY_FAILED

    public static final int CREATE_PROPERTY_FAILED

  Failed property creation

### DELETE_PROPERTY_OK

    public static final int DELETE_PROPERTY_OK

  Successful property deletion

### DELETE_PROPERTY_FAILED

    public static final int DELETE_PROPERTY_FAILED

  Failed property deletion

### INVALID_PROPERTY_TYPE

    public static final int INVALID_PROPERTY_TYPE

  Invalid property type specified.

### INVALID_BOOLEAN_PROPERTY

    public static final int INVALID_BOOLEAN_PROPERTY

  Invalid boolean property specified (boolean properties must be single, restricted, by definition).

### PROPERTY_EXISTS

    public static final int PROPERTY_EXISTS

  Failed property creation because the property already exists

### INVALID_PROPERTY_SET

    public static final int INVALID_PROPERTY_SET

  The given property set was not valid, or could not be found

### PROPERTY_SET_SEARCH_OK

    public static final int PROPERTY_SET_SEARCH_OK

  Successful property set search

### PROPERTY_SET_SEARCH_FAILED

    public static final int PROPERTY_SET_SEARCH_FAILED

  Failed property set search

### PROPERTY_SEARCH_OK

    public static final int PROPERTY_SEARCH_OK

  Successful property search

### PROPERTY_SEARCH_FAILED

    public static final int PROPERTY_SEARCH_FAILED

  Failed property search

### PROPERTY_NOT_RESTRICTED

    public static final int PROPERTY_NOT_RESTRICTED

  property is not restricted

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved